typedef struct {
	int		WNX_id;			/* 	unique WNX application i.d. */
	char 	WNX_idname[16]; /*	unique 16 byte identifier */
	int		WNX_apid;		/*	application I.D. of parent */
	int		WNX_grafhandle;	/*	graf_handle of parent */
	long	WNX_global;		/*	ptr to parent's GLOBAL array */
	long	WNX_vdiparams;	/*	ptr to parent's VDI array */
	long	WNX_aesparams;	/*	ptr to parent's AES array */
	long	WNX_messagebuf;	/*	ptr to parent's message buffer */
	int		WNX_in[8];		/*  WNX_in array (8 words) */
	int		WNX_out[8];		/*	WNX_out array (8 words) */
	int		WNX_flags;		/*	event flags like evnt_multi */
	long	WNX_link;		/*	address for resuming execution */
	int		WNX_tcount;		/*	timer count (in 20ms increments) */
	void	(*WNX_troutine)();	/* 	ptr to the routine to be run on timer event */
	void	(*WNX_mroutine)();	/*	this is for the message routine */
	void	(*WNX_broutine)();	/*	this is for the left button click routine */
	void	(*WNX_kroutine)();	/*  this is for the keyboard routine */
	void	(*WNX_rroutine)();	/*	this is the for redraws */
	void	(*WNX_termroutine)();/*	this is when the WNX terminates */
}xesparmblk;

